﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.GanttView;
using Telerik.Windows.Controls.Scheduling;

namespace GanttTaskSize_Ticket747129
{
    public class GanttViewModel : ViewModelBase
    {
        private DateRange visibleRange;

        public GanttViewModel()
        {
            this.Tasks = new SoftwarePlanning();
            this.visibleRange = new DateRange(new DateTime(2012, 1, 1), new DateTime(2012, 5, 1));
        }

        private ObservableCollection<GanttTask> tasks;
        public ObservableCollection<GanttTask> Tasks
        {
            get
            {
                return tasks;
            }
            set
            {
                tasks = value;
                this.OnPropertyChanged(() => Tasks);
            }
        }

        /// <Summary>Gets or sets VisibleRange and notifies for changes</Summary>
        public DateRange VisibleRange
        {
            get { return this.visibleRange; }
            set
            {
                if (this.visibleRange != value)
                {
                    this.visibleRange = value;
                    this.OnPropertyChanged(() => this.VisibleRange);
                }
            }
        }
    }
}
